API reference
Every HTTP endpoint of the db-qdrant module: authentication, IAM action, parameters, bodies and status codes.
Generated from the module's code when its image was built — do not edit. Paths are relative to https://api.example.com.
Docs
GET /docs/db-qdrant/manifest.json
- Authentication: required
- Operation name:
DocsManifest_db-qdrant
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs/db-qdrant/{path}
- Authentication: required
- Operation name:
DocsFile_db-qdrant
Parameters
| Name | In | Type | Required |
|---|---|---|---|
path |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
Qdrant Compute Plans
GET /boundaries/{boundaryId}/resources/qdrantcomputeplans
List all available qdrantcomputeplans
- Authentication: required
- Operation name:
ListQdrantComputePlans
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | PagedListResponse<QdrantResourcePlanDto> |
401 |
Not signed in, or the token is invalid | |
500 |
Internal error | ProblemDetails |
GET /boundaries/{boundaryId}/resources/qdrantcomputeplans/{resourceId}
Get a specific qdrantcomputeplan by ID
- Authentication: required
- Operation name:
GetQdrantComputePlan
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceId |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | QdrantResourcePlanDto |
401 |
Not signed in, or the token is invalid | |
404 |
Not found | |
500 |
Internal error | ProblemDetails |
Qdrant Databases
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/qdrantclusters/{name}/apikey
Get the API key for a Qdrant cluster
- Authentication: required
- IAM action:
qdrantcluster/readSecrets— evaluated at the resource in the path; a data action
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroup |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/readSecrets at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/qdrantclusters/{name}/apikey/rotate
Rotate the API key for a Qdrant cluster
- Authentication: required
- IAM action:
qdrantcluster/writeSecrets— evaluated at the resource in the path; a data action
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroup |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/writeSecrets at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/qdrantclusters/{name}/connectioninfo
Get the connection info (REST and gRPC endpoints) for a Qdrant cluster
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroup |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/qdrantclusters/{name}/external-ip
Get the externally reachable address of a Qdrant cluster's ingress
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroup |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroup}/resources/qdrantclusters/{name}/health
Check if a Qdrant cluster is healthy
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroup |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
QdrantCluster
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters
List all qdrantclusters in a resource group
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
ListQdrantClusters
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/config
Get list configuration for qdrantclusters
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
GetQdrantClustersConfig
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | string |
Yes |
resourceGroupName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}
Delete a qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/delete— evaluated at the resource in the path - Operation name:
DeleteQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/delete at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}
Get a specific qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
GetQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
PATCH /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}
Partially update an existing qdrantcluster using JSON Merge Patch
- Authentication: required
- IAM action:
qdrantcluster/write— evaluated at the resource in the path - Operation name:
PatchQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: any
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/write at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}
Create a new qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/write— evaluated at the resource in the path - Operation name:
CreateQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: QdrantClusterDto
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/write at the evaluated scope |
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}
Update an existing qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/write— evaluated at the resource in the path - Operation name:
UpdateQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: QdrantClusterDto
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/write at the evaluated scope |
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}/actions/{action}
Execute a lifecycle action (start, stop, restart) on a qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/write— evaluated at the resource in the path - Operation name:
ExecuteQdrantClusterAction
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
action |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/write at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}/scale
Get current scale of a qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
GetQdrantClusterScale
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/qdrantclusters/{resourceName}/scale
Scale a qdrantcluster
- Authentication: required
- IAM action:
qdrantcluster/scale— evaluated at the resource in the path - Operation name:
ScaleQdrantCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: ScaleRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/scale at the evaluated scope |
GET /boundaries/{boundaryId}/resources/qdrantclusters
List all qdrantclusters across all resource groups
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
ListAllQdrantClusters
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resources/qdrantclusters/config
Get list configuration for all qdrantclusters
- Authentication: required
- IAM action:
qdrantcluster/read— evaluated at the resource in the path - Operation name:
GetAllQdrantClustersConfig
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold qdrantcluster/read at the evaluated scope |
Other endpoints
GET /readyz
- Authentication: none — anonymous callers are accepted
- Operation name:
StackshipReadiness
Responses
| Status | Meaning | Body |
|---|
Schemas
PagedListResponse<QdrantResourcePlanDto>
| Property | Type | Nullable |
|---|---|---|
items |
QdrantResourcePlanDto [] |
No |
pagination |
PaginationMeta |
No |
PaginationMeta
| Property | Type | Nullable |
|---|---|---|
hasNextPage |
boolean |
No |
hasPreviousPage |
boolean |
No |
page |
integer |
No |
pageSize |
integer |
No |
totalItems |
integer |
No |
totalPages |
integer |
No |
QdrantClusterDto
| Property | Type | Nullable |
|---|---|---|
allowedCidrs |
string |
Yes |
apiKeyEnabled |
boolean |
No |
boundary |
string |
No |
boundaryId |
uuid |
No |
clusterId |
uuid |
No |
clusterName |
string |
No |
collection |
string |
No |
computePlan |
string |
Yes |
cpuLimit |
string |
Yes |
cpuRequest |
string |
Yes |
createdAt |
date-time |
No |
enableIngress |
boolean |
No |
enableLoadBalancer |
boolean |
No |
id |
uuid |
No |
imageName |
string |
Yes |
ingressHost |
string |
Yes |
memoryLimit |
string |
Yes |
memoryRequest |
string |
Yes |
name |
string |
No |
phase |
string |
Yes |
publicEndpoint |
string |
Yes |
qdrantVersion |
string |
No |
readyReplicas |
integer |
Yes |
region |
string |
No |
replicas |
integer |
Yes |
resourceGroup |
string |
No |
resourcePlanId |
string |
Yes |
status |
string |
No |
statusMessage |
string |
Yes |
storageClass |
string |
Yes |
storageSize |
string |
Yes |
tags |
map (string) |
No |
QdrantResourcePlanDto
| Property | Type | Nullable |
|---|---|---|
cpuLimit |
string |
No |
cpuRequest |
string |
No |
description |
string |
No |
id |
string |
No |
isProductionReady |
boolean |
No |
memoryLimit |
string |
No |
memoryRequest |
string |
No |
name |
string |
No |
replicas |
integer |
No |
storageClass |
string |
No |
storageSize |
string |
No |
verdict |
string |
No |
verdictReason |
string |
Yes |
ScaleRequest
| Property | Type | Nullable |
|---|---|---|
targetScale |
integer |
No |